


class EditorsController extends WindozController {

    constructor(params) {
        super(params)
        this.arenaConfig = app.Assets.Store.json.arenaConfig
        this.eventsMapping = app.Assets.Store.json.eventsMapping
    }


    async keyframe() {
        const models = {
            agents : new AgentsModel('/agents'),
            keyframes : new KeyframesModel('/keyframes')
        }

        this.loadWindow(
            'editors/KeyframeView', 
            {
                title: '<i class="icon-edit"></i> Keyframe editor', 
                static: true,
                expanded: false,
                withSettings: true,
                windowStyle: WindozDomContent.boxFromPrefs('editors.keyframeview', { x: 50, y:50, w:1000, h:800 }),
            },
            {
                models: models,
            }
        ) 
        
    }
    
    async sprites() {

    }

    async eventmaps(){

    }
}

app.registerClass('EditorsController', EditorsController);